curl --request POST \
--url https://api-sandbox.rinne.com.br/core/v1/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identifiers": [
{
"type": "EMAIL",
"value": "[email protected]"
}
],
"auth_methods": [
"PASSWORD"
],
"first_name": "John",
"last_name": "Doe",
"roles": [
"admin",
"user"
],
"metadata": {}
}
'import requests
url = "https://api-sandbox.rinne.com.br/core/v1/users"
payload = {
"identifiers": [
{
"type": "EMAIL",
"value": "[email protected]"
}
],
"auth_methods": ["PASSWORD"],
"first_name": "John",
"last_name": "Doe",
"roles": ["admin", "user"],
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
identifiers: [{type: 'EMAIL', value: '[email protected]'}],
auth_methods: ['PASSWORD'],
first_name: 'John',
last_name: 'Doe',
roles: ['admin', 'user'],
metadata: {}
})
};
fetch('https://api-sandbox.rinne.com.br/core/v1/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "user123",
"identifiers": [
{
"id": "id1",
"type": "email",
"value": "[email protected]",
"verified": true,
"created_at": "2024-01-01T00:00:00.000Z",
"verified_at": "2024-01-01T01:00:00.000Z"
}
],
"primary_identifier": {
"id": "id1",
"type": "email",
"value": "[email protected]",
"verified": true,
"created_at": "2024-01-01T00:00:00.000Z",
"verified_at": "2024-01-01T01:00:00.000Z"
},
"auth_methods": [
"password"
],
"created_at": "2024-01-01T00:00:00.000Z",
"updated_at": "2024-01-01T00:00:00.000Z",
"roles": [
{
"id": "a3dbd0c2-9f79-4f86-8caa-47779b3f2793",
"name": "admin",
"permissions": [
"user.create",
"user.read",
"role.create"
],
"created_at": "2024-01-01T00:00:00.000Z",
"updated_at": "2024-01-01T00:00:00.000Z",
"description": "Administrator role with full access",
"company_id": "a3dbd0c2-9f79-4f86-8caa-47779b3f2793",
"organization_id": "a3dbd0c2-9f79-4f86-8caa-47779b3f2794"
}
],
"first_name": "John",
"last_name": "Doe",
"suspended_at": "2024-01-01T00:00:00.000Z",
"metadata": "<unknown>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Validation error",
"status": 400,
"details": {
"issues": [
{
"field": "email",
"type": "REQUIRED",
"message": "Field 'email' is required",
"value": "invalid_value",
"constraints": {
"min": 18,
"max": 120
}
}
]
},
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHENTICATION_ERROR",
"message": "Authentication required to access this resource",
"status": 401,
"details": {
"reason": "Invalid API key"
},
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHORIZATION_ERROR",
"message": "You need 'admin' permissions to access this resource",
"status": 403,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "CONFLICT_ERROR",
"message": "A bank account with this account_number and ispb already exists",
"status": 409,
"details": {
"field": "account_number",
"value": "12345678"
},
"path": "/companies/bank-accounts",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected error occurred",
"status": 500,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}Create a new user
Creates a new user with the provided identifiers and authentication methods. All identifiers start as unverified - user must complete verification flow. This endpoint requires authentication and the user.create permission.
Authorizations
JWT token for user authentication
Body
Schema for creating a new user
Array of user identifiers (email/phone)
1Show child attributes
Show child attributes
Authentication methods for the user
PASSWORD, GOOGLE, CLIENT_PLATFORM ["PASSWORD"]
User's first name
"John"
User's last name
"Doe"
Array of role names
["admin", "user"]
Additional user metadata
Response
User created successfully
User ID
"user123"
User identifiers (email/phone)
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available authentication methods
password, google, client_platform ["password"]
User creation timestamp
"2024-01-01T00:00:00.000Z"
User last update timestamp
"2024-01-01T00:00:00.000Z"
User roles
Show child attributes
Show child attributes
User first name
"John"
User last name
"Doe"
User suspension timestamp
"2024-01-01T00:00:00.000Z"
Additional user metadata

